textures/underwater/floors/holed_grid
{
	qer_editorimage textures/underwater/floors/holed_metal.tga
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/underwater/floors/holed_metal.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


glowingbit	
{
    	qer_editorimage textures/underwater/structures/bluelight.tga
    	q3map_bounceScale 0.0
    	surfaceparm slick
    	surfaceparm nodamage
    	surfaceparm detail
    	surfaceparm trans
    	q3map_surfacelight 2000
	q3map_forcemeta
    	tesssize 4
    	q3map_lightimage  textures/underwater/structures/bluelight.tga
    	{
        	map textures/underwater/structures/bluelight.tga
    	}
	{
		map textures/underwater/water/deep_bubbles2.tga
		blendfunc GL_DST_COLOR GL_ONE
		tcMod scroll -0.05 1.4
		tcMod turb 0 0.01 0 0.5
		alphaFunc GE128
	}
	{
		map textures/underwater/water/deep_bubbles.tga
		blendfunc GL_DST_COLOR GL_ZERO
		tcMod scroll 0.05 2.6
		alphaFunc GE128
	}
}



textures/underwater/chromey
{
	q3map_forcemeta
	qer_editorimage textures/underwater/doors/rams.tga
	{
		map textures/underwater/doors/rams.tga
	}
	{
    		map textures/underwater/misc/shine.jpg
		tcgen environment
		blendfunc GL_DST_COLOR GL_ONE
   	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/underwater/redplastic
{
	q3map_forcemeta
	qer_editorimage textures/underwater/boat/redplastic.jpg
	surfaceparm nodamage
	{
		map textures/underwater/boat/redplastic.jpg
		rgbGen identity

	}
	{
    		map textures/underwater/boat/skyreflection.jpg
		tcgen environment
		blendfunc GL_DST_COLOR GL_ONE

   	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		//depthFunc equal
	}
}

textures/common/ladder
{
   qer_editorimage textures/common/ladder.jpg
   qer_trans .40
   surfaceparm ladder
   surfaceparm nodraw
   surfaceparm nolightmap
   surfaceparm nonsolid
   surfaceparm trans
   surfaceparm nomarks
   surfaceparm noimpact
   surfaceparm playerclip
}

textures/underwater/machines/fanblade
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	cull disable
	{
		clampmap textures/underwater/machines/fanblade.tga
		rgbGen identity
		tcMod rotate 1420
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		depthFunc equal
	}
}





textures/underwater/water
{
	qer_editorimage textures/underwater/water/pool3d_3e.tga
	qer_trans .01
	q3map_fancywater .4 1 1 1
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nolightmap
	cull disable
	deformVertexes wave 64 sin 1 1 0 .5	
	{ 
		map textures/underwater/water/pool3d_5e.tga
		blendFunc GL_dst_color GL_one
		tcmod scale 2 .5
		tcmod scroll .025 .01
	}
	{ 
		map textures/underwater/water/pool3d_3e.tga
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
}

textures/underwater/watercaulk
{
	qer_editorimage textures/common/watercaulk.jpg
	qer_trans 0.1
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water
}


textures/underwater/misc/neighbours
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/underwater/misc/neighbours
        blendFunc filter
    }
}

textures/underwater/walls/welcome_to_glug
{
    q3map_bounceScale 0.0
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm detail
    surfaceparm trans
    q3map_surfacelight 1800
    tesssize 4
    q3map_lightimage  textures/underwater/walls/welcome_to_glug.jpg
    {
        map textures/underwater/walls/welcome_to_glug.jpg
    }

}



textures/underwater/walls/wall1
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/underwater/walls/wall1.tga
        blendFunc filter
    }
}
textures/underwater/walls/wall2
{
     qer_editorimage textures/underwater/walls/whitewall.jpg
    {
        map $lightmap
    }
    {
        map textures/underwater/walls/whitewall.jpg
        blendFunc filter
    }
}

textures/underwater/walls/wall3
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/underwater/walls/wall3.tga
        blendFunc filter
    }
}
textures/underwater/misc/another_panel
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/underwater/misc/another_panel.jpg
        blendFunc filter
    }
}
textures/underwater/walls/warning_wall
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/underwater/walls/warning_wall.tga
        blendFunc filter
    }
}
textures/underwater/floors/grill1
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/underwater/floors/grill1.tga
        blendFunc filter
    }
}
textures/underwater/floors/step
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/underwater/floors/step.tga
        blendFunc filter
    }
}
textures/underwater/floors/walkway
{
    {
        map $lightmap
    }
    {
        map textures/underwater/floors/walkway.tga
        blendFunc filter
    }
}



textures/underwater/floors/cross_walkway
{
    {
        map $lightmap
    }
    {
        map textures/underwater/floors/cross_walkway.tga
        blendFunc filter
    }
}


textures/underwater/structures/flourlight
{
    qer_editorimage textures/underwater/structures/flourlight.tga
    q3map_bounceScale 0.0
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm detail
    surfaceparm trans
    q3map_surfacelight 8000
    tesssize 4
    q3map_lightimage  textures/underwater/structures/flourlight.tga
    {
        map textures/underwater/structures/flourlight.tga
    }
}

textures/underwater/surface/very_rusty1
{
	q3map_forcemeta
	qer_editorimage textures/underwater/surface/very_rusty1.jpg
	surfaceparm nodamage
	{
		map textures/underwater/surface/very_rusty1.jpg
		rgbGen identity

	}
	{
    		map textures/underwater/boat/skyreflection.jpg
		tcgen environment
		blendfunc GL_DST_COLOR GL_ONE

   	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		//depthFunc equal
	}
}

textures/underwater/surface/very_rusty2
{
	q3map_forcemeta
	qer_editorimage textures/underwater/surface/very_rusty2.jpg
	surfaceparm nodamage
	{
		map textures/underwater/surface/very_rusty2.jpg
		rgbGen identity

	}
	{
    		map textures/underwater/boat/skyreflection.jpg
		tcgen environment
		blendfunc GL_DST_COLOR GL_ONE

   	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		//depthFunc equal
	}
}


textures/underwater/surface/very_rusty_wp1
{
	q3map_forcemeta
	qer_editorimage textures/underwater/surface/very_rusty_wp1.jpg
	surfaceparm nodamage
	{
		map textures/underwater/surface/very_rusty_wp1.jpg
		rgbGen identity

	}
	{
    		map textures/underwater/boat/skyreflection.jpg
		tcgen environment
		blendfunc GL_DST_COLOR GL_ONE

   	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		//depthFunc equal
	}
}


textures/underwater/surface/very_rusty_wp2
{
	q3map_forcemeta
	qer_editorimage textures/underwater/surface/very_rusty_wp2.jpg
	surfaceparm nodamage
	{
		map textures/underwater/surface/very_rusty_wp2.jpg
		rgbGen identity

	}
	{
    		map textures/underwater/boat/skyreflection.jpg
		tcgen environment
		blendfunc GL_DST_COLOR GL_ONE

   	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		//depthFunc equal
	}
}



textures/underwater/surface/wpstrip
{
	q3map_forcemeta
	qer_editorimage textures/underwater/surface/wpstrip.jpg
	surfaceparm nodamage
	{
		map textures/underwater/surface/wpstrip.jpg
		rgbGen identity

	}
	{
    		map textures/underwater/boat/skyreflection.jpg
		tcgen environment
		blendfunc GL_DST_COLOR GL_ONE

   	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		//depthFunc equal
	}
}

textures/underwater/light_redflash
{
	q3map_lightimage textures/underwater/misc/lightframe_orange.jpg
	qer_editorimage textures/underwater/misc/light_red.tga
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/underwater/misc/lightframe_orange.jpg
		blendFunc filter
		rgbGen identity
	}
        {
		map textures/underwater/misc/lightframe_orange.jpg
		blendFunc add
		rgbGen wave square .5 .5 0 1
	}
}



////////////////////////////////////////////////////////////////////////////
// The ceiling light with a nice frame
////////////////////////////////////////////////////////////////////////////
textures/underwater/misc/ceilinglightwhite
{
	qer_editorimage textures/underwater/misc/lightframe_white.jpg
	light 1
	surfaceparm nomarks
	q3map_surfacelight 3800
	q3map_lightimage textures/underwater/structures/flourlight.tga

	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		map textures/underwater/misc/lightframe_white.jpg
	}
}

textures/underwater/misc/ceilinglightyellow
{
	qer_editorimage textures/underwater/misc/lightframe_offwhite.jpg
	light 1
	surfaceparm nomarks
	q3map_surfacelight 3800
	q3map_lightimage textures/underwater/structures/flourlight.tga

	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		map textures/underwater/misc/lightframe_offwhite.jpg
	}
}
textures/underwater/misc/ceilinglightred
{
	qer_editorimage textures/underwater/misc/lightframe_orange.jpg
	light 1
	surfaceparm nomarks
	q3map_surfacelight 3800
	q3map_lightimage textures/underwater/structures/flourlight.tga

	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		map textures/underwater/misc/lightframe_orange.jpg
	}
}


textures/underwater/misc/lightframe
{
	qer_editorimage textures/underwater/misc/lightframe.tga
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip

	{
		map textures/underwater/misc/lightframe.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
// The long lighting strip in the walls of white section
textures/underwater/walls/lighting_strip
{
	qer_editorimage textures/underwater/walls/lighting_strip.jpg
	light 1
	surfaceparm nomarks
	q3map_surfacelight 3800
	q3map_lightimage textures/underwater/structures/flourlight.tga

	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		map textures/underwater/walls/lighting_strip.jpg
	}
}




textures/underwater/glassclear
{
	qer_editorimage textures/effects/tinfx3.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans
	{
		map textures/effects/tinfx3.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/underwater/misc/rusty_ladder
{	
    qer_editorimage textures/underwater/misc/rusty_ladder.tga
	surfaceparm alphashadow
	nopicmip
	cull none
	{
		map textures/underwater/misc/rusty_ladder.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap 
		blendfunc filter
		depthFunc equal
	}
}


////////////////////////////////////////////////////////////////////
// Wires hanging thing
////////////////////////////////////////////////////////////////////
textures/underwater/busted/wires3
{	
    qer_editorimage textures/underwater/busted/wires3.tga
	surfaceparm alphashadow
	nopicmip
	cull none
	deformVertexes wave 5 sin 0 .2 0 .3
	{
		map textures/underwater/busted/wires3.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap 
		blendfunc filter
		depthFunc equal
	}
}
////////////////////////////////////////////////////////////////////
// Decals for walls
////////////////////////////////////////////////////////////////////
textures/underwater/decals/red1
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/underwater/decals/red1.jpg
	   blendfunc filter
	}
}
textures/underwater/decals/red2
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/underwater/decals/red2.jpg
	   blendfunc filter
	}
}
textures/underwater/decals/red3
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/underwater/decals/red3.jpg
	   blendfunc filter
	}
}
textures/underwater/decals/red4
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/underwater/decals/red4.jpg
	   blendfunc filter
	}
}
textures/underwater/decals/red5
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/underwater/decals/red5.jpg
	   blendfunc filter
	}
}

textures/underwater/decals/yellow1
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/underwater/decals/yellow1.jpg
	   blendfunc filter
	}
}
textures/underwater/decals/yellow2
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/underwater/decals/yellow2.jpg
	   blendfunc filter
	}
}
textures/underwater/decals/yellow3
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/underwater/decals/yellow3.jpg
	   blendfunc filter
	}
}
textures/underwater/decals/yellow4
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/underwater/decals/yellow4.jpg
	   blendfunc filter
	}
}
textures/underwater/decals/yellow5
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/underwater/decals/yellow5.jpg
	   blendfunc filter
	}
}
textures/underwater/decals/green1
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/underwater/decals/green1.jpg
	   blendfunc filter
	}
}
textures/underwater/decals/green2
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/underwater/decals/green2.jpg
	   blendfunc filter
	}
}
textures/underwater/decals/green3
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/underwater/decals/green3.jpg
	   blendfunc filter
	}
}
textures/underwater/decals/green4
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/underwater/decals/green4.jpg
	   blendfunc filter
	}
}
textures/underwater/decals/green5
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/underwater/decals/green5.jpg
	   blendfunc filter
	}
}

textures/underwater/decals/greenchevron
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/underwater/decals/greenchevron.jpg
	   blendfunc filter
	}
}
textures/underwater/decals/yellowchevron
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/underwater/decals/yellowchevron.jpg
	   blendfunc filter
	}
}
textures/underwater/decals/redchevron
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/underwater/decals/redchevron.jpg
	   blendfunc filter
	}
}


textures/underwater/floors/hexagonfloor
{
     qer_editorimage textures/underwater/floors/hexagonfloor.jpg
    {
        map $lightmap
    }
    {
        map textures/underwater/floors/hexagonfloor.jpg
        blendFunc filter
    }
}
/////////////////////////////////////////////////////////
// Places that you might go
/////////////////////////////////////////////////////////
textures/underwater/decals/signs/engineering
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/underwater/decals/signs/engineering.tga
	   blendfunc filter
	}
}

textures/underwater/decals/signs/lowerdeck
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/underwater/decals/signs/lowerdeck.tga
	   blendfunc filter
	}
}
textures/underwater/decals/signs/pumps
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/underwater/decals/signs/pumps.tga
	   blendfunc filter
	}
}

textures/underwater/decals/signs/restareas
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/underwater/decals/signs/restareas.tga
	   blendfunc filter
	}
}
textures/underwater/decals/signs/servers
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/underwater/decals/signs/servers.tga
	   blendfunc filter
	}
}
textures/underwater/decals/signs/storage.tga
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/underwater/decals/signs/storage.tga
	   blendfunc filter
	}
}
textures/underwater/decals/signs/surface
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/underwater/decals/signs/surface.tga
	   blendfunc filter
	}
}
textures/underwater/decals/signs/welcome
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/underwater/decals/signs/welcome.tga
	   blendfunc filter
	}
}
// YOU ARE HERE MAPS

textures/underwater/walls/map1
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/underwater/walls/map1.tga
		blendfunc filter
	}
}
// Helicopter pad
textures/underwater/decals/hpad
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/underwater/decals/hpad.jpg
	   blendfunc filter
	}
}


/////////////////////////////////////////////////////////////////
// Waters and effects
/////////////////////////////////////////////////////////////////

textures/underwater/water/foam1
{
	surfaceparm alphashadow
	cull disable
	surfaceparm trans
	{
		clampmap textures/underwater/water/foam1.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		depthFunc equal
	}
}
/////////////////////////////////////////////////////////////////
// Surface boat model textures
/////////////////////////////////////////////////////////////////
CAT
{
	q3map_forcemeta
	qer_editorimage textures/underwater/boat/fibreglass.jpg
	surfaceparm nodamage
	{
		map textures/underwater/boat/fibreglass.jpg
		rgbGen identity

	}
	{
    		map textures/underwater/boat/skyreflection.jpg
		tcgen environment
		blendfunc GL_DST_COLOR GL_ONE

   	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		//depthFunc equal
	}
}

BEIGEMATTE
{
	q3map_forcemeta
	qer_editorimage textures/underwater/boat/beigematte.jpg
	surfaceparm nodamage
	{
		map textures/underwater/boat/beigematte.jpg
		rgbGen identity

	}
	{
    		map textures/underwater/boat/skyreflection.jpg
		tcgen environment
		blendfunc GL_DST_COLOR GL_ONE

   	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		//depthFunc equal
	}
}
WHITEHULL
{
	q3map_forcemeta
	qer_editorimage textures/underwater/boat/steelhull.jpg
	surfaceparm nodamage
	{
		map textures/underwater/boat/steelhull.jpg
		rgbGen identity

	}
	{
    		map textures/underwater/boat/skyreflection.jpg
		tcgen environment
		blendfunc GL_DST_COLOR GL_ONE

   	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		//depthFunc equal
	}
}
DECK
{
	q3map_forcemeta
	qer_editorimage textures/underwater/boat/deckwood.jpg
	surfaceparm nodamage
	{
		map textures/underwater/boat/deckwood.jpg
		rgbGen identity

	}
	{
    		map textures/underwater/boat/skyreflection.jpg
		tcgen environment
		blendfunc GL_DST_COLOR GL_ONE

   	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		//depthFunc equal
	}
}

REDPLASTICG
{
	q3map_forcemeta
	qer_editorimage textures/underwater/boat/redplastic.jpg
	surfaceparm nodamage
	{
		map textures/underwater/boat/redplastic.jpg
		rgbGen identity

	}
	{
    		map textures/underwater/boat/skyreflection.jpg
		tcgen environment
		blendfunc GL_DST_COLOR GL_ONE

   	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		//depthFunc equal
	}
}
/////////////////////////////////////////////////////////////////////////////
// Other models shaders
/////////////////////////////////////////////////////////////////////////////

thframe
{
	q3map_forcemeta
	surfaceparm playerclip
	qer_editorimage textures/underwater/doors/rams.tga
	{
		map textures/underwater/doors/rams.tga
	}
	{
    		map textures/underwater/misc/shine.jpg
		tcgen environment
		blendfunc GL_DST_COLOR GL_ONE
   	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

ringo
{
	q3map_forcemeta
	surfaceparm playerclip
	qer_editorimage textures/underwater/doors/rams.tga
	{
		map textures/underwater/doors/rams.tga
	}
	{
    		map textures/underwater/misc/shine.jpg
		tcgen environment
		blendfunc GL_DST_COLOR GL_ONE
   	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

doormetal2
{
	q3map_forcemeta
	qer_editorimage textures/underwater/doors/techdoor.jpg
	surfaceparm nodamage
	{
		map textures/underwater/doors/techdoor.jpg
		rgbGen identity

	}
	{
    		map textures/underwater/misc/shine.jpg
		tcgen environment
		blendfunc GL_DST_COLOR GL_ONE

   	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		//depthFunc equal
	}
}

doortext
{
	q3map_forcemeta
	qer_editorimage textures/underwater/doors/techdoor.jpg
	surfaceparm nodamage
	{
		map textures/underwater/doors/techdoor.jpg
		rgbGen identity

	}
	{
    		map textures/underwater/misc/shine.jpg
		tcgen environment
		blendfunc GL_DST_COLOR GL_ONE

   	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		//depthFunc equal
	}
}


outerram
{
	q3map_forcemeta
	surfaceparm playerclip
	qer_editorimage textures/underwater/doors/techdoor.jpg
	{
		map textures/underwater/doors/techdoor.jpg
	}
	{
    		map textures/underwater/doors/rams.tga
      		tcgen environment
		blendfunc GL_DST_COLOR GL_ONE
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
	}
 
} 
innerram
{
	q3map_forcemeta
	surfaceparm playerclip
	qer_editorimage textures/underwater/doors/rams.tga
	{
		map textures/underwater/doors/rams.tga
	}
	{
    		map textures/underwater/misc/shine.jpg
		tcgen environment
		blendfunc GL_DST_COLOR GL_ONE
   	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
///////////////////////////////////////////////////////
// Sky boxes
///////////////////////////////////////////////////////
textures/underwater/water/waterbox
 {
 	qer_editorimage textures/underwater/water/underwater_dn.jpg
 	skyparms textures/underwater/water/underwater 512 -
 	surfaceparm 	sky
 	surfaceparm 	noimpact
 	surfaceparm 	nolightmap
 	surfaceparm	nomarks
	q3map_sunExt 1 0.86 0.67 350 -102 40 2 16
 	q3map_lightmapFilterRadius 0 160
 	q3map_skyLight 60 3
}

textures/underwater/underwatersky
 {
 	qer_editorimage textures/underwater/sky/underwater_sky.tga
 	skyparms textures/underwater/sky/sky 512 -
 	q3map_sunExt 1 0.86 0.67 350 -102 40 2 16
 	q3map_lightmapFilterRadius 0 160
 	q3map_skyLight 280 3
 	surfaceparm 	sky
 	surfaceparm 	noimpact
 	surfaceparm 	nolightmap
 	surfaceparm	nomarks

}
