textures/common/ladder
{
   qer_editorimage textures/common/ladder.jpg
   qer_trans .40
   surfaceparm ladder
   surfaceparm nodraw
   surfaceparm nolightmap
   surfaceparm nonsolid
   surfaceparm trans
   surfaceparm nomarks
   surfaceparm noimpact
   surfaceparm playerclip
}

textures/river/riversky
 {
 	qer_editorimage textures/river/sky/river_sky.jpg
 	skyparms textures/river/sky/sky 512 -
 	q3map_sunExt 1 0.86 0.67 350 -102 40 2 16
 	q3map_lightmapFilterRadius 0 160
 	q3map_skyLight 280 3
 	surfaceparm 	sky
 	surfaceparm 	noimpact
 	surfaceparm 	nolightmap
 	surfaceparm	nomarks

}


textures/river/water
{
	qer_editorimage textures/river/river/pool3d_3e.tga
	qer_trans 0.75
	q3map_fancywater 6 1 1 1
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nolightmap
	cull disable
	deformVertexes wave 64 sin .25 .25 0 .5	
	{ 
		map textures/river/river/pool3d_5e.tga
		blendFunc GL_dst_color GL_one
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{ 
		map textures/river/river/pool3d_3e.tga
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
}



textures/river/walls/brickwall1
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/river/walls/brickwall1.tga
        blendFunc filter
    }
}

textures/river/walls/concrete1
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/river/walls/concrete1.tga
        blendFunc filter
    }
}


textures/river/walls/metal_red
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/river/walls/metal_red.tga
        blendFunc filter
    }
}

textures/river/misc/keres4_metal_plate
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/river/misc/keres4_metal_plate.tga
        blendFunc filter
    }
}

textures/river/structures/flourlight
{
    qer_editorimage textures/river/structures/flourlight.tga
    q3map_bounceScale 0.0
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm detail
    surfaceparm trans
    q3map_surfacelight 8000
    tesssize 4
    q3map_lightimage  textures/river/structures/flourlight.tga
    {
        map textures/river/structures/flourlight.tga
    }
}

//>====================================================================================<
//  Assorted decals
//>====================================================================================<
//>------------------------------------------------------------------------<
// 1. textures from keres4 pack
//>------------------------------------------------------------------------<
textures/river/decals/keres4_decal05
{
	qer_editorimage textures/river/decals/keres4_decal05.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/river/decals/keres4_decal05.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/river/decals/keres4_decal06
{
	qer_editorimage textures/river/decals/keres4_decal06.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/river/decals/keres4_decal06.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/river/decals/keres4_decal08
{
	qer_editorimage textures/river/decals/keres4_decal08.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/river/decals/keres4_decal08.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/river/decals/keres4_decal10
{
	qer_editorimage textures/river/decals/keres4_decal10.tga
	surfaceparm trans
	// <3 you keres
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/river/decals/keres4_decal10.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/river/decals/keres4_decal12
{
	qer_editorimage textures/river/decals/keres4_decal12.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/river/decals/keres4_decal12.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/river/decals/keres4_decal17
{
	qer_editorimage textures/river/decals/keres4_decal17.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/river/decals/keres4_decal17.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/river/decals/keres4_decal18
{
	qer_editorimage textures/river/decals/keres4_decal18.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/river/decals/keres4_decal18.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/river/decals/keres4_decal19
{
	qer_editorimage textures/river/decals/keres4_decal19.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/river/decals/keres4_decal19.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/river/decals/keres4_decal20
{
	qer_editorimage textures/river/decals/keres4_decal20.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/river/decals/keres4_decal20.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/river/decals/keres4_decal31
{
	qer_editorimage textures/river/decals/keres4_decal31.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/river/decals/keres4_decal31.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/river/decals/keres4_decal32
{
	qer_editorimage textures/river/decals/keres4_decal32.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/river/decals/keres4_decal32.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/river/decals/keres4_decal33
{
	qer_editorimage textures/river/decals/keres4_decal33.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/river/decals/keres4_decal33.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/river/decals/keres4_decal34
{
	qer_editorimage textures/river/decals/keres4_decal34.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/river/decals/keres4_decal34.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/river/decals/keres4_decal36
{
	qer_editorimage textures/river/decals/keres4_decal36.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/river/decals/keres4_decal36.tga
		blendfunc gl_dst_color gl_src_color
	}
}
